​

Get list of catalog values

GET
https://example.kaiten.ru/api/latest/company/custom-properties/{property_id}/catalog-values

Get list of custom property catalog values.

⚠️ Starting October 1, 2026, this endpoint returns a maximum of 100 values per request. Until that date a request without pagination parameters returns the whole list. The applied page size is always returned in X-Pagination-Limit, and a request without pagination parameters also gets X-Pagination-Message. Use limit and offset to page through the result. Public API pages are ordered by id.

Path parameters
NameTypeReference
property_idrequiredintegerCustomProperty ID
Query
NameTypeConstraintsDescription
querystringText search filter by catalog's values
conditionsenumactive, inactive
limitintegerMaximum amount of values in response. Must be a positive integer; a value greater than 100 is treated as 100. Starting October 1, 2026 an omitted value means 100 values are returned
offsetintegerNumber of values to skip. Must be a non negative integer. Default is 0
Responses

200
DescriptionResponse typeExample
SuccessArray of objects
Open
Response Attributes
NameTypeDescription
updated

string

Last update timestamp
created

string

Create date
id

integer

Catalog option id
custom_property_id

integer

Custom property id
value

object

Schema
Custom property catalog value
name

string

Custom property catalog value name
author_id

integer

Author id
updater_id

null | integer

Last updater id
condition

string

Custom property catalog value condition
400
DescriptionResponse typeExample
Validation errorObject
Open
Response Attributes
NameTypeDescription
message

string

Error message
401
DescriptionResponse typeExample
Invalid tokenString
Open
403
DescriptionResponse typeExample
ForbidenResponse body does not exist
404
DescriptionResponse typeExample
Not foundResponse body does not exist
logo
Kaiten
If you have any questions or need help with integration feel free to write us at support@kaiten.ru

Path Parameters

  1  curl --request GET \
  2       --url 'https://example.kaiten.ru/api/latest/company/custom-properties/{property_id}/catalog-values' \
  3       --header 'Accept: application/json' \
  4       --header 'Content-Type: application/json'
  5      

Response

ClickTry It!to start a request and see the response here!